SynapSynapDocs
Hub REST API

Search

The Search operations of the Hub REST API (4 operations).

For BuildersOpen-source podSynap CloudGenerated from Synap-core/backend@c31e261ab (main)

Search a single Typesense collection

Deprecated
GET
/search/collection

Authorization

bearerAuth
headerAuthorizationBearer <API key>

Pod API key (Bearer) issued via /api/hub/setup/agent or pod admin tooling. Browser/web clients may use the X-Session-Token header instead. See GET /api/hub/auth/status to introspect the calling key.

Query Parameters

userId*string
collection*string
Value in"entities""documents""views""projects""chat_threads""agents"
query*string
workspaceId?string
limit?string
page?string

Response Body

Search results

application/json
  1. response
results*array<>
totalFound?number
page?number
perPage?number
[key: string]?unknown
Example Request
curl -X GET 'https://pod.example.com/api/hub/search/collection?userId=string&collection=entities&query=string'
Example Response
{  "results": [    {      "collection": "entities",      "document": {        "property1": null,        "property2": null      },      "score": 0,      "highlights": [        null      ],      "property1": null,      "property2": null    }  ],  "totalFound": 0,  "page": 0,  "perPage": 0,  "property1": null,  "property2": null}
Deprecated
GET
/search

Authorization

bearerAuth
headerAuthorizationBearer <API key>

Pod API key (Bearer) issued via /api/hub/setup/agent or pod admin tooling. Browser/web clients may use the X-Session-Token header instead. See GET /api/hub/auth/status to introspect the calling key.

Query Parameters

userId*string
query*string
workspaceId?string
collections?string

Comma-separated list of collections (e.g. entities,documents).

limit?string
page?string

Response Body

Search results

application/json
  1. response
results*array<>
totalFound?number
page?number
perPage?number
[key: string]?unknown
Example Request
curl -X GET 'https://pod.example.com/api/hub/search?userId=string&query=string'
Example Response
{  "results": [    {      "collection": "entities",      "document": {        "property1": null,        "property2": null      },      "score": 0,      "highlights": [        null      ],      "property1": null,      "property2": null    }  ],  "totalFound": 0,  "page": 0,  "perPage": 0,  "property1": null,  "property2": null}

Search documents only

Deprecated
GET
/search/documents

Authorization

bearerAuth
headerAuthorizationBearer <API key>

Pod API key (Bearer) issued via /api/hub/setup/agent or pod admin tooling. Browser/web clients may use the X-Session-Token header instead. See GET /api/hub/auth/status to introspect the calling key.

Query Parameters

userId*string
query*string
type?string
Value in"text""markdown""code""pdf""docx"
limit?string

Response Body

Document hits

application/json
  1. response
[index: integer]?
Example Request
curl -X GET 'https://pod.example.com/api/hub/search/documents?userId=string&query=string'
Example Response
[  {    "property1": null,    "property2": null  }]
Deprecated
GET
/vector-search

Authorization

bearerAuth
headerAuthorizationBearer <API key>

Pod API key (Bearer) issued via /api/hub/setup/agent or pod admin tooling. Browser/web clients may use the X-Session-Token header instead. See GET /api/hub/auth/status to introspect the calling key.

Query Parameters

userId*string
query*string
types?string

Comma-separated subject types to search (e.g. entity,document).

workspaceId?string
limit?string

Response Body

Vector search hits

application/json
  1. response
[index: integer]?
Example Request
curl -X GET 'https://pod.example.com/api/hub/vector-search?userId=string&query=string'
Example Response
[  {    "property1": null,    "property2": null  }]